RagTimeParserInternal::Zone Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
RagTimeParserInternal::Zone Struct Reference

Internal: a zone of a RagTimeParser. More...

## Public Types
enum | Type { Text , Page , Picture , Line , Spreadsheet , Chart , Unknown }
| the zone type More...

## Public Member Functions
| Zone ()
| constructor
MWAWBox2f | getBoundingBox () const
| returns the bounding box
std::string | getTypeString () const
| returns a zone name

## Public Attributes
Type | m_type
| the zone type
int | m_subType
| the zone sub type
bool | m_read32Size
| flag to know if the datasize in uint16 or uint32
MWAWBox2f | m_dimension
| the dimension
int | m_page
| the page
int | m_rotation
| the rotation
MWAWGraphicStyle | m_style
| the style
MWAWColor | m_fontColor
| the font color (for text)
int | m_arrowFlags
| arrow flag 1:begin, 2:end
int | m_linkZones [5]
| the link zones ( parent, prev, next, child, linked)
int | m_sharedWith
| the zone which contains the content
bool | m_isSent
| a flag to know if the picture is sent
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<<

## Detailed Description

Internal: a zone of a RagTimeParser.

## Member Enumeration Documentation

## ◆ Type

enum RagTimeParserInternal::Zone::Type

the zone type

Enumerator
Text |
Page |
Picture |
Line |
Spreadsheet |
Chart |
Unknown |

## Constructor & Destructor Documentation

## ◆ Zone()

RagTimeParserInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBoundingBox()

MWAWBox2f RagTimeParserInternal::Zone::getBoundingBox | ( |  | ) | const
| inline

returns the bounding box

Referenced by RagTimeParser::send().

## ◆ getTypeString()

std::string RagTimeParserInternal::Zone::getTypeString | ( |  | ) | const
| inline

returns a zone name

Referenced by RagTimeParser::readDataZoneHeader().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_arrowFlags

int RagTimeParserInternal::Zone::m_arrowFlags

arrow flag 1:begin, 2:end

Referenced by RagTimeParser::readDataZoneHeader(), and RagTimeParser::sendBasicPicture().

## ◆ m_dimension

MWAWBox2f RagTimeParserInternal::Zone::m_dimension

the dimension

Referenced by RagTimeParser::readDataZoneHeader(), and RagTimeParser::sendBasicPicture().

## ◆ m_extra

std::string RagTimeParserInternal::Zone::m_extra

extra data

Referenced by RagTimeParser::readDataZoneHeader().

## ◆ m_fontColor

MWAWColor RagTimeParserInternal::Zone::m_fontColor

the font color (for text)

Referenced by RagTimeParser::readDataZoneHeader().

## ◆ m_isSent

bool RagTimeParserInternal::Zone::m_isSent
| mutable

a flag to know if the picture is sent

Referenced by RagTimeParser::flushExtra(), and RagTimeParser::sendBasicPicture().

## ◆ m_linkZones

int RagTimeParserInternal::Zone::m_linkZones[5]

the link zones ( parent, prev, next, child, linked)

Referenced by RagTimeParser::readDataZoneHeader().

## ◆ m_page

int RagTimeParserInternal::Zone::m_page

the page

Referenced by RagTimeParser::readDataZoneHeader(), and RagTimeParser::send().

## ◆ m_read32Size

bool RagTimeParserInternal::Zone::m_read32Size

flag to know if the datasize in uint16 or uint32

Referenced by RagTimeParser::readDataZoneHeader().

## ◆ m_rotation

int RagTimeParserInternal::Zone::m_rotation

the rotation

Referenced by RagTimeParser::readDataZoneHeader(), and RagTimeParser::send().

## ◆ m_sharedWith

int RagTimeParserInternal::Zone::m_sharedWith

the zone which contains the content

Referenced by RagTimeParser::readDataZoneHeader().

## ◆ m_style

MWAWGraphicStyle RagTimeParserInternal::Zone::m_style

the style

Referenced by RagTimeParser::readDataZoneHeader(), RagTimeParser::send(), and RagTimeParser::sendBasicPicture().

## ◆ m_subType

int RagTimeParserInternal::Zone::m_subType

the zone sub type

Referenced by RagTimeParser::readDataZoneHeader().

## ◆ m_type

Type RagTimeParserInternal::Zone::m_type

the zone type

Referenced by RagTimeParser::flushExtra(), RagTimeParser::readDataZoneHeader(), RagTimeParser::send(), and RagTimeParser::sendBasicPicture().

The documentation for this struct was generated from the following file:

- RagTimeParser.cxx